Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 195)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 196)
@@ -8523,11 +8625,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1180
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileCreate.exe" GOTO end_if_copy_1181
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1195
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileCreate.exe" GOTO end_if_copy_1196
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1181
-:end_if_release_1180
+:end_if_copy_1196
+:end_if_release_1195
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8538,11 +8640,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1182
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFill.exe" GOTO end_if_copy_1183
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1197
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFill.exe" GOTO end_if_copy_1198
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1183
-:end_if_release_1182
+:end_if_copy_1198
+:end_if_release_1197
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8553,11 +8655,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1184
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFitAndPlot.exe" GOTO end_if_copy_1185
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1199
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFitAndPlot.exe" GOTO end_if_copy_1200
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFitAndPlot.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1185
-:end_if_release_1184
+:end_if_copy_1200
+:end_if_release_1199
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8568,11 +8670,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1186
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Restore.exe" GOTO end_if_copy_1187
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1201
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Restore.exe" GOTO end_if_copy_1202
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Restore.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1187
-:end_if_release_1186
+:end_if_copy_1202
+:end_if_release_1201
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8583,11 +8685,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1188
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ScanAndContour.exe" GOTO end_if_copy_1189
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1203
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ScanAndContour.exe" GOTO end_if_copy_1204
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ScanAndContour.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1189
-:end_if_release_1188
+:end_if_copy_1204
+:end_if_release_1203
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8598,11 +8700,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1190
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_SimpleFit.exe" GOTO end_if_copy_1191
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1205
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_SimpleFit.exe" GOTO end_if_copy_1206
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_SimpleFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1191
-:end_if_release_1190
+:end_if_copy_1206
+:end_if_release_1205
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8613,11 +8715,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1192
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Store.exe" GOTO end_if_copy_1193
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1207
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Store.exe" GOTO end_if_copy_1208
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Store.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1193
-:end_if_release_1192
+:end_if_copy_1208
+:end_if_release_1207
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8628,11 +8730,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1194
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tree.exe" GOTO end_if_copy_1195
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1209
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tree.exe" GOTO end_if_copy_1210
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tree.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1195
-:end_if_release_1194
+:end_if_copy_1210
+:end_if_release_1209
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8643,11 +8745,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1196
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tuple.exe" GOTO end_if_copy_1197
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1211
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tuple.exe" GOTO end_if_copy_1212
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tuple.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1197
-:end_if_release_1196
+:end_if_copy_1212
+:end_if_release_1211
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8658,11 +8760,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1198
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_TupleCreate.exe" GOTO end_if_copy_1199
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1213
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_TupleCreate.exe" GOTO end_if_copy_1214
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_TupleCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1199
-:end_if_release_1198
+:end_if_copy_1214
+:end_if_release_1213
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8673,11 +8775,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1200
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_createAndFillTupleWithComplexStructure.exe" GOTO end_if_copy_1201
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1215
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_createAndFillTupleWithComplexStructure.exe" GOTO end_if_copy_1216
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_createAndFillTupleWithComplexStructure.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1201
-:end_if_release_1200
+:end_if_copy_1216
+:end_if_release_1215
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8688,11 +8790,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1202
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample_vis.exe" GOTO end_if_copy_1203
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1217
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample_vis.exe" GOTO end_if_copy_1218
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1203
-:end_if_release_1202
+:end_if_copy_1218
+:end_if_release_1217
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8703,11 +8805,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1204
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud_vis.exe" GOTO end_if_copy_1205
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1219
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud_vis.exe" GOTO end_if_copy_1220
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1205
-:end_if_release_1204
+:end_if_copy_1220
+:end_if_release_1219
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8718,11 +8820,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1206
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate_vis.exe" GOTO end_if_copy_1207
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1221
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate_vis.exe" GOTO end_if_copy_1222
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1207
-:end_if_release_1206
+:end_if_copy_1222
+:end_if_release_1221
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8733,11 +8835,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1208
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill_vis.exe" GOTO end_if_copy_1209
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1223
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill_vis.exe" GOTO end_if_copy_1224
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1209
-:end_if_release_1208
+:end_if_copy_1224
+:end_if_release_1223
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8748,11 +8850,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1210
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample_vis.exe" GOTO end_if_copy_1211
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1225
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample_vis.exe" GOTO end_if_copy_1226
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1211
-:end_if_release_1210
+:end_if_copy_1226
+:end_if_release_1225
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8763,11 +8865,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1212
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram_vis.exe" GOTO end_if_copy_1213
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1227
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram_vis.exe" GOTO end_if_copy_1228
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1213
-:end_if_release_1212
+:end_if_copy_1228
+:end_if_release_1227
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8778,11 +8880,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1214
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic_vis.exe" GOTO end_if_copy_1215
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1229
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic_vis.exe" GOTO end_if_copy_1230
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1215
-:end_if_release_1214
+:end_if_copy_1230
+:end_if_release_1229
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8793,11 +8895,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1216
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample_vis.exe" GOTO end_if_copy_1217
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1231
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample_vis.exe" GOTO end_if_copy_1232
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1217
-:end_if_release_1216
+:end_if_copy_1232
+:end_if_release_1231
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8808,11 +8910,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1218
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles_vis.exe" GOTO end_if_copy_1219
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1233
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles_vis.exe" GOTO end_if_copy_1234
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1219
-:end_if_release_1218
+:end_if_copy_1234
+:end_if_release_1233
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8823,11 +8925,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1220
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate_vis.exe" GOTO end_if_copy_1221
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1235
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate_vis.exe" GOTO end_if_copy_1236
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1221
-:end_if_release_1220
+:end_if_copy_1236
+:end_if_release_1235
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8838,11 +8940,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1222
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill_vis.exe" GOTO end_if_copy_1223
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1237
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill_vis.exe" GOTO end_if_copy_1238
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1223
-:end_if_release_1222
+:end_if_copy_1238
+:end_if_release_1237
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8853,11 +8955,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1224
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree_vis.exe" GOTO end_if_copy_1225
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1239
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree_vis.exe" GOTO end_if_copy_1240
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1225
-:end_if_release_1224
+:end_if_copy_1240
+:end_if_release_1239
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8868,11 +8970,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1226
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple_vis.exe" GOTO end_if_copy_1227
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1241
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple_vis.exe" GOTO end_if_copy_1242
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1227
-:end_if_release_1226
+:end_if_copy_1242
+:end_if_release_1241
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8883,11 +8985,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1228
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate_vis.exe" GOTO end_if_copy_1229
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1243
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate_vis.exe" GOTO end_if_copy_1244
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1229
-:end_if_release_1228
+:end_if_copy_1244
+:end_if_release_1243
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8898,11 +9000,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1230
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure_vis.exe" GOTO end_if_copy_1231
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1245
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure_vis.exe" GOTO end_if_copy_1246
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1231
-:end_if_release_1230
+:end_if_copy_1246
+:end_if_release_1245
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8913,11 +9015,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1232
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exe" GOTO end_if_copy_1233
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1247
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exe" GOTO end_if_copy_1248
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1233
-:end_if_release_1232
+:end_if_copy_1248
+:end_if_release_1247
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8928,11 +9030,11 @@
 IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1234
-IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Store_vis.exe" GOTO end_if_copy_1235
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1249
+IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Store_vis.exe" GOTO end_if_copy_1250
   COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Store_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1235
-:end_if_release_1234
+:end_if_copy_1250
+:end_if_release_1249
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
